- Home
- API Enriched
- Virtual
- config
- Suggest DDoS Mitigation rule.
Suggest DDoS Mitigation rule.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/ddos_mitigation/suggestion';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"asn_list":{"as_numbers":[1]},"country_list":["COUNTRY_NONE"],"ip_prefix_list":{"invert_match":true,"ip_prefixes":["example"]},"ja4_tls_fingerprint_matcher":{"exact_values":["example"]},"name":"example","namespace":"example","tls_fingerprint_matcher":{"classes":["TLS_FINGERPRINT_NONE"],"exact_values":["example"],"excluded_values":["example"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/http_loadbalancers/example/ddos_mitigation/suggestion \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "asn_list": { "as_numbers": [ 1 ] }, "country_list": [ "COUNTRY_NONE" ], "ip_prefix_list": { "invert_match": true, "ip_prefixes": [ "example" ] }, "ja4_tls_fingerprint_matcher": { "exact_values": [ "example" ] }, "name": "example", "namespace": "example", "tls_fingerprint_matcher": { "classes": [ "TLS_FINGERPRINT_NONE" ], "exact_values": [ "example" ], "excluded_values": [ "example" ] } }'Suggest DDoSMitigatonRule to mitigate a given IP/ASN/Region/TLS.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the App type for current request.
Name load balancer for which this WAF exclusion will be applied.
Request Bodyrequired
Section titled “Request Bodyrequired”GET suggested blocking DDoSMitigtionRule for a given IP/ASN/Country/TLS.
object
object
An unordered set of RFC 6793 defined 4-byte AS numbers that can be used to create allow or deny lists for use in network policy or service policy. It can be used to create the allow list only for DNS Load Balancer. Required: YES.
Sources that are located in one of the countries in the given list.
object
Invert the match result.
List of IPv4 prefix strings.
object
A list of exact JA4 TLS fingerprint to match the input JA4 TLS fingerprint against.
Load balancer for which this WAF exclusion will be applied.
Namespace of the App type for current request.
object
A list of known classes of TLS fingerprints to match the input TLS JA3 fingerprint against.
A list of exact TLS JA3 fingerprints to match the input TLS JA3 fingerprint against.
A list of TLS JA3 fingerprints to be excluded when matching the input TLS JA3 fingerprint. This can be used to skip known false positives when using one or more known TLS fingerprint classes in the enclosing matcher.
Responses
Section titled “Responses”A successful response.
GET suggested DDoS Mitigtion Rule for a given IP/ASN/Country/TLS.
object
object
object
object
object
object
An unordered set of RFC 6793 defined 4-byte AS numbers that can be used to create allow or deny lists for use in network policy or service policy. It can be used to create the allow list only for DNS Load Balancer. Required: YES.
Sources that are located in one of the countries in the given list.
object
A list of exact JA4 TLS fingerprint to match the input JA4 TLS fingerprint against.
object
A list of known classes of TLS fingerprints to match the input TLS JA3 fingerprint against.
A list of exact TLS JA3 fingerprints to match the input TLS JA3 fingerprint against.
A list of TLS JA3 fingerprints to be excluded when matching the input TLS JA3 fingerprint. This can be used to skip known false positives when using one or more known TLS fingerprint classes in the enclosing matcher.
The expiration_timestamp is the RFC 3339 format timestamp at which the containing rule is considered to be logically expired. The rule continues to exist in the configuration but is not applied anymore.
object
Invert the match result.
List of IPv4 prefix strings.
object
Human readable description.
This is the name of the message. The value of name has to follow DNS-1035 format. Required: YES.
HTTP load balancer for which this DDoS Mitigation Rule will be applied.
Example
{ "mitigation_rule": { "ddos_client_source": { "country_list": [ "COUNTRY_NONE" ], "tls_fingerprint_matcher": { "classes": [ "TLS_FINGERPRINT_NONE" ] } } }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example